Bug 1017161 - catalog messages linked from 'journalctl -xn' leads to 404
catalog messages linked from 'journalctl -xn' leads to 404
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-09 06:57 EDT by Jan Hutař
Modified: 2013-12-14 22:28 EST (History)
7 users (show)

See Also:
Fixed In Version: systemd-204-18.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-14 22:28:19 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Jan Hutař 2013-10-09 06:58:04 EDT
Description of problem:
After some unit start failed I have been advised to use 'journalctl -xn' to get more info and that showed link to documentation which leads to "404 Not Found" page.


Version-Release number of selected component (if applicable):
systemd-204-16.fc19.x86_64


How reproducible:
always


Steps to Reproduce:
1. # journalctl -xn | tail
2. And follow some links there


Actual results:
# journalctl -xn
[...]
Oct 10 20:32:58 <fqdn> systemd[1]: Dependency failed for ABRT kernel log watcher.
-- Subject: Unit abrt-oops.service has failed
-- Defined-By: systemd
-- Support: http://lists.freedesktop.org/mailman/listinfo/systemd-devel
-- Documentation: http://www.freedesktop.org/wiki/Software/systemd/catalog/be02cf6855d2428ba40df7e9d022f03d
-- 
-- Unit abrt-oops.service has failed.
-- 
-- The result is dependency.

Following link "http://www.freedesktop.org/wiki/Software/systemd/catalog/be02cf6855d2428ba40df7e9d022f03d" takes me to 404 error page. I have tried http://www.freedesktop.org/wiki/Software/systemd/catalog/9d1aaa27d60140bd96365438aad20286 (for abrt-oops.service being stopped) link as well with same result.


Expected results:
Links should be valid with meaningful content.
Comment 3 Zbigniew Jędrzejewski-Szmek 2013-10-24 00:49:40 EDT
http://cgit.freedesktop.org/systemd/systemd/commit/?id=254ffe5
Comment 4 Fedora Update System 2013-10-29 12:05:00 EDT
systemd-201-2.fc18.9 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/systemd-201-2.fc18.9
Comment 5 Fedora Update System 2013-10-29 21:52:43 EDT
Package systemd-201-2.fc18.9:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing systemd-201-2.fc18.9'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-20267/systemd-201-2.fc18.9
then log in and leave karma (feedback).
Comment 6 Jan Hutař 2013-10-31 16:59:54 EDT
For some reason, update mentioned in comment #4 and #5 was released into Fedora18 repo although this was reported against Fedora19
Comment 7 Fedora Update System 2013-11-12 21:24:21 EST
systemd-201-2.fc18.9 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Jan Hutař 2013-11-13 03:00:07 EST
Please could you point me to F19 update?
Comment 9 Fedora Update System 2013-11-19 23:54:43 EST
systemd-208-6.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/systemd-208-6.fc20
Comment 10 Fedora Update System 2013-12-08 22:37:54 EST
systemd-204-18.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/systemd-204-18.fc19
Comment 11 Fedora Update System 2013-12-10 01:13:07 EST
Package systemd-204-18.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing systemd-204-18.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-23072/systemd-204-18.fc19
then log in and leave karma (feedback).
Comment 12 Fedora Update System 2013-12-14 22:28:19 EST
systemd-204-18.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.